osl::PathEncodingTable Class Reference

`#include <pathEncoding.h>`

## Public Member Functions

void | init ()
unsigned long long | get (size_t depth, Square pos, Ptype ptype) const
unsigned long long | get (size_t depth, Move m) const

## Static Public Attributes

static const size_t | MaxEncodingLength = 256

## Private Types

typedef CArray< CArray2d< unsigned long long, Square::SIZE, PTYPE_SIZE >, MaxEncodingLength > | array_t

## Private Attributes

array_t | values

## Detailed Description

Definition at line 11 of file pathEncoding.h.

## Member Typedef Documentation

## array_t

typedef CArray<CArray2d<unsigned long long, Square::SIZE, PTYPE_SIZE>, MaxEncodingLength> osl::PathEncodingTable::array_t

private

Definition at line 17 of file pathEncoding.h.

## Member Function Documentation

## get() [1/2]

unsigned long long osl::PathEncodingTable::get | ( | size_t | depth,
|  | Move | m ) const

inline

Returns
  必ず奇数

Definition at line 28 of file pathEncoding.h.

References osl::Move::from(), get(), osl::Move::oldPtype(), osl::Move::ptype(), and osl::Move::to().

## get() [2/2]

unsigned long long osl::PathEncodingTable::get | ( | size_t | depth,
|  | Square | pos,
|  | Ptype | ptype ) const

inline

Definition at line 21 of file pathEncoding.h.

References osl::Square::index(), osl::PTYPE_MIN, and values.

Referenced by get().

## init()

void osl::PathEncodingTable::init | ( |  | ) |

Definition at line 17 of file pathEncoding.cc.

References MaxEncodingLength, osl::PTYPE_SIZE, osl::random(), osl::Square::SIZE, and values.

## Member Data Documentation

## MaxEncodingLength

const size_t osl::PathEncodingTable::MaxEncodingLength = 256

static

Definition at line 14 of file pathEncoding.h.

Referenced by init().

## values

array_t osl::PathEncodingTable::values

private

Definition at line 18 of file pathEncoding.h.

Referenced by get(), and init().

The documentation for this class was generated from the following files:

- pathEncoding.h
- pathEncoding.cc